summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIgor V. Kovalenko <igor.v.kovalenko@gmail.com>2022-02-18 22:21:35 +0300
committerSam James <sam@gentoo.org>2022-02-21 00:42:53 +0000
commit0fbec3a0d5d059d244cc6e383e28daadeb226092 (patch)
tree3176e35a010d5de42c7d383dbc2e9171c67dabbb
parentsci-libs/pdal: fix WrongMaintainerType (diff)
downloadgentoo-0fbec3a0d5d059d244cc6e383e28daadeb226092.tar.gz
gentoo-0fbec3a0d5d059d244cc6e383e28daadeb226092.tar.bz2
gentoo-0fbec3a0d5d059d244cc6e383e28daadeb226092.zip
media-libs/pulseaudio: Allow pulseaudio-daemon if required
Some packages would require actual pulseaudio daemon, allow these to depend on media-sound/pulseaudio-daemon Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--media-sound/cadence/cadence-0.9.1-r1.ebuild (renamed from media-sound/cadence/cadence-0.9.1.ebuild)4
-rw-r--r--media-sound/paprefs/paprefs-1.2-r1.ebuild (renamed from media-sound/paprefs/paprefs-1.2.ebuild)2
-rw-r--r--media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70-r1.ebuild (renamed from media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70.ebuild)4
-rw-r--r--media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r3.ebuild (renamed from media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r2.ebuild)5
-rw-r--r--net-misc/pulseaudio-dlna/pulseaudio-dlna-9999.ebuild4
5 files changed, 11 insertions, 8 deletions
diff --git a/media-sound/cadence/cadence-0.9.1.ebuild b/media-sound/cadence/cadence-0.9.1-r1.ebuild
index b58caa5bcf9..a7de1a49fe1 100644
--- a/media-sound/cadence/cadence-0.9.1.ebuild
+++ b/media-sound/cadence/cadence-0.9.1-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -34,7 +34,7 @@ CDEPEND="
media-sound/jack_capture
virtual/jack
a2jmidid? ( media-sound/a2jmidid[dbus] )
- pulseaudio? ( media-sound/pulseaudio[jack] )
+ pulseaudio? ( || ( media-sound/pulseaudio-daemon[jack] media-sound/pulseaudio[daemon(+),jack] ) )
"
RDEPEND="${CDEPEND}"
DEPEND="${CDEPEND}"
diff --git a/media-sound/paprefs/paprefs-1.2.ebuild b/media-sound/paprefs/paprefs-1.2-r1.ebuild
index 0e6bd727050..29908197114 100644
--- a/media-sound/paprefs/paprefs-1.2.ebuild
+++ b/media-sound/paprefs/paprefs-1.2-r1.ebuild
@@ -17,7 +17,7 @@ RDEPEND="dev-cpp/atkmm:0
dev-cpp/gtkmm:3.0
dev-libs/glib:2
dev-libs/libsigc++:2
- media-sound/pulseaudio[glib]
+ || ( media-sound/pulseaudio-daemon[glib] media-sound/pulseaudio[daemon(+),glib] )
x11-libs/gtk+:3
|| (
x11-themes/tango-icon-theme
diff --git a/media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70.ebuild b/media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70-r1.ebuild
index fc2d4914d69..757d436aadd 100644
--- a/media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70.ebuild
+++ b/media-sound/pulseaudio-ctl/pulseaudio-ctl-1.70-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2019-2021 Gentoo Authors
+# Copyright 2019-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ IUSE=""
# Optional runtime deps: dbus-send for KDE OSD, notify-send for libnotify
# in both cases they should be already present if DE supports them
-RDEPEND="media-sound/pulseaudio"
+RDEPEND="|| ( media-sound/pulseaudio-daemon media-sound/pulseaudio[daemon(+)] )"
src_install() {
emake install PREFIX="${EPREFIX}/usr" DESTDIR="${D}"
diff --git a/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r2.ebuild b/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r3.ebuild
index 5ce55a2c7a1..f40fc7b8e73 100644
--- a/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r2.ebuild
+++ b/media-sound/pulseaudio-modules-bt/pulseaudio-modules-bt-1.4-r3.ebuild
@@ -26,7 +26,10 @@ DEPEND="
>=net-wireless/bluez-5
>=sys-apps/dbus-1.0.0
ofono-headset? ( >=net-misc/ofono-1.13 )
- >=media-sound/pulseaudio-${PULSE_VER}[-bluetooth,daemon(+)]
+ || (
+ >=media-sound/pulseaudio-daemon-${PULSE_VER}[-bluetooth]
+ >=media-sound/pulseaudio-${PULSE_VER}[-bluetooth,daemon(+)]
+ )
!media-sound/pulseaudio[bluetooth]
"
# Ordinarily media-libs/libldac should be in DEPEND too, but for now upstream repo is using a ldac submodule instead.
diff --git a/net-misc/pulseaudio-dlna/pulseaudio-dlna-9999.ebuild b/net-misc/pulseaudio-dlna/pulseaudio-dlna-9999.ebuild
index d314e16809d..6fc29c68a64 100644
--- a/net-misc/pulseaudio-dlna/pulseaudio-dlna-9999.ebuild
+++ b/net-misc/pulseaudio-dlna/pulseaudio-dlna-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -56,7 +56,7 @@ RDEPEND=">=dev-python/protobuf-python-2.5.0[${PYTHON_USEDEP}]
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
- media-sound/pulseaudio"
+ || ( media-sound/pulseaudio-daemon media-sound/pulseaudio[daemon(+)] )"
python_prepare_all() {
sed -i '/dbus-python/d' setup.py || die